Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 716444 - dev-python/werkzeug-0.16.1 fails test
Summary: dev-python/werkzeug-0.16.1 fails test
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2020-04-06 10:58 UTC by Alexey
Modified: 2020-04-06 14:48 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (file_716444.txt,15.06 KB, text/plain)
2020-04-06 10:58 UTC, Alexey
Details
build.log (build.log,16.25 KB, text/x-log)
2020-04-06 10:59 UTC, Alexey
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey 2020-04-06 10:58:28 UTC
Created attachment 630752 [details]
emerge --info

INTERNALERROR> Traceback (most recent call last):                                                                                                                                                                                                                                 
INTERNALERROR>   File "/usr/lib/python3.6/site-packages/requests/__init__.py", line 87, in <module>                                                                                                                                                                               
INTERNALERROR>     check_compatibility(urllib3.__version__, chardet.__version__)                                                                                                                                                                                                  
INTERNALERROR>   File "/usr/lib/python3.6/site-packages/requests/__init__.py", line 63, in check_compatibility                                                                                                                                                                    
INTERNALERROR>     assert minor <= 24                                                                                                                                                                                                                                             
INTERNALERROR> AssertionError                                                                                                                                                                                                                                                     
INTERNALERROR>                                                                                                                                                                                                                                                                    
INTERNALERROR> During handling of the above exception, another exception occurred:                                                                                                                                                                                                
INTERNALERROR>                                                                                                                                                                                                                                                                    
INTERNALERROR> Traceback (most recent call last):                                                                                                                                                                                                                                 
INTERNALERROR>   File "/usr/lib/python3.6/site-packages/_pytest/main.py", line 205, in wrap_session                                                                                                                                                                               
INTERNALERROR>     session.exitstatus = doit(config, session) or 0                                                                                                                                                                                                                
INTERNALERROR>   File "/usr/lib/python3.6/site-packages/_pytest/main.py", line 248, in _main                                                                                                                                                                                      
INTERNALERROR>     config.hook.pytest_collection(session=session)                                                                                                                                                                                                                 
INTERNALERROR>   File "/usr/lib/python3.6/site-packages/pluggy/hooks.py", line 289, in __call__                                                                                                                                                                                   
INTERNALERROR>     return self._hookexec(self, self.get_hookimpls(), kwargs)                                                                                                                                                                                                      
INTERNALERROR>   File "/usr/lib/python3.6/site-packages/pluggy/manager.py", line 68, in _hookexec                                                                                                                                                                                 
INTERNALERROR>     return self._inner_hookexec(hook, methods, kwargs)                                                                                                                                                                                                             
INTERNALERROR>   File "/usr/lib/python3.6/site-packages/pluggy/manager.py", line 62, in <lambda>                                                                                                                                                                                  
INTERNALERROR>     firstresult=hook.spec.opts.get("firstresult") if hook.spec else False,                                                                                                                                                                                         
INTERNALERROR>   File "/usr/lib/python3.6/site-packages/pluggy/callers.py", line 208, in _multicall                                                                                                                                                                               
INTERNALERROR>     return outcome.get_result()                                                                                                                                                                                                                                    
INTERNALERROR>   File "/usr/lib/python3.6/site-packages/pluggy/callers.py", line 80, in get_result                                                                                                                                                                                
INTERNALERROR>     raise ex[1].with_traceback(ex[2])                                                                                                                                                                                                                              
INTERNALERROR>   File "/usr/lib/python3.6/site-packages/pluggy/callers.py", line 182, in _multicall                                                                                                                                                                               
INTERNALERROR>     next(gen)  # first yield                                                                                                                                                                                                                                       
INTERNALERROR>   File "/usr/lib/python3.6/site-packages/_pytest/warnings.py", line 150, in pytest_collection                                                                                                                                                                      
INTERNALERROR>     config=config, ihook=config.hook, when="collect", item=None                                                                                                                                                                                                    
INTERNALERROR>   File "/usr/lib/python3.6/contextlib.py", line 81, in __enter__                                                                                                                                                                                                   
INTERNALERROR>     return next(self.gen)
INTERNALERROR>   File "/usr/lib/python3.6/site-packages/_pytest/warnings.py", line 87, in catch_warnings_for_item
INTERNALERROR>     _setoption(warnings, arg)
INTERNALERROR>   File "/usr/lib/python3.6/site-packages/_pytest/warnings.py", line 26, in _setoption
INTERNALERROR>     category = wmod._getcategory(category)
INTERNALERROR>   File "/usr/lib/python3.6/warnings.py", line 242, in _getcategory
INTERNALERROR>     m = __import__(module, None, None, [klass])
INTERNALERROR>   File "/usr/lib/python3.6/site-packages/requests/__init__.py", line 91, in <module>
INTERNALERROR>     RequestsDependencyWarning)
INTERNALERROR> requests.exceptions.RequestsDependencyWarning: urllib3 (1.25.8) or chardet (3.0.4) doesn't match a supported version!
Comment 1 Alexey 2020-04-06 10:59:00 UTC
Created attachment 630754 [details]
build.log